## ubuntu-packaging-guide 0.3.3

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
PODIR         = po
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
LANGS =  es ru pt_BR de

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to (re)generate the .pot file using sphinx gettext"
	@echo "  locale     to compile .mo files from the .po files."
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* $(PODIR)/.doctrees \
	$(foreach lang,$(LANGS),$(PODIR)/$(lang)/)
	rm -f translators.html

html: $(foreach lang,$(LANGS),html-$(lang)) translators.html
	# Always build an English version, even if there are no .po files.
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	mv $(BUILDDIR)/html/ubuntu-packaging-guide/*html $(BUILDDIR)/html/
	mv $(BUILDDIR)/html/_sources/ubuntu-packaging-guide/*.txt $(BUILDDIR)/html/_sources/
	rm -r $(BUILDDIR)/html/_sources/ubuntu-packaging-guide/ $(BUILDDIR)/html/ubuntu-packaging-guide/
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/*html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/html/*html
	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/*html
	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/*html
	# The "grab the source code" URL shouldn't be mangled
	sed -i 's/ubuntu-packaging-guide-team\/trunk/ubuntu-packaging-guide-team\/ubuntu-packaging-guide\/trunk/g' \
	$(BUILDDIR)/html/*.html
	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/searchindex.js
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html"
html-%: locale-% translators.html
	$(SPHINXBUILD) -Dlanguage=$* -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/$*
	mv $(BUILDDIR)/html/$*/ubuntu-packaging-guide/*html $(BUILDDIR)/html/$*
	mv $(BUILDDIR)/html/$*/_sources/ubuntu-packaging-guide/*.txt $(BUILDDIR)/html/$*/_sources/
	rm -r $(BUILDDIR)/html/$*/_sources/ubuntu-packaging-guide/ $(BUILDDIR)/html/$*/ubuntu-packaging-guide/
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/html/$*/*html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/html/$*/*html
	sed -i 's/..\/_images/.\/_images/g' $(BUILDDIR)/html/$*/*html
	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/$*/*html
	# The "grab the source code" URL shouldn't be mangled
	sed -i 's/ubuntu-packaging-guide-team\/trunk/ubuntu-packaging-guide-team\/ubuntu-packaging-guide\/trunk/g' \
	$(BUILDDIR)/html/$*/*.html
	sed -i 's/ubuntu-packaging-guide\///g' $(BUILDDIR)/html/$*/searchindex.js
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/$*."

dirhtml: $(foreach lang,$(LANGS),dirhtml-$(lang)) translators.html
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/en
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/en"
dirhtml-%: locale-% translators.html
	$(SPHINXBUILD) -Dlanguage=$* -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml/$*
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml/$*."

singlehtml: $(foreach lang,$(LANGS),singlehtml-$(lang)) translators.html
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	mv $(BUILDDIR)/singlehtml/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/ubuntu-packaging-guide\/index/index/g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/..\/..\/_images/.\/_images/g' $(BUILDDIR)/singlehtml/index.html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/singlehtml/index.html
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml"
singlehtml-%: locale-% translators.html
	$(SPHINXBUILD) -Dlanguage=$* -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml/$*
	mv $(BUILDDIR)/singlehtml/$*/ubuntu-packaging-guide/*html  $(BUILDDIR)/singlehtml/$*
	sed -i 's/href="..\//href=".\//g' $(BUILDDIR)/singlehtml/$*/index.html
	sed -i 's/ubuntu-packaging-guide\/index/index/g' $(BUILDDIR)/singlehtml/$*/index.html
	sed -i 's/..\/..\/_images/.\/_images/g' $(BUILDDIR)/singlehtml/$*/index.html
	sed -i 's/src="..\/_static/src=".\/_static/g' $(BUILDDIR)/singlehtml/$*/index.html
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml/$*."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ubuntu-packaging-guide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ubuntu-packaging-guide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ubuntu-packaging-guide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ubuntu-packaging-guide"
	@echo "# devhelp"

epub: $(foreach lang,$(LANGS),epub-$(lang))
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub"
epub-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub/$*
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub/$*."

latex: $(foreach lang,$(LANGS),latex-$(lang))
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in is in $(BUILDDIR)/epub/en"
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."
latex-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex/$*."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(foreach lang,$(LANGS),latexpdf-$(lang))
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	mkdir -p $(BUILDDIR)/pdf; cp $(BUILDDIR)/latex/*pdf $(BUILDDIR)/pdf
	@echo "Build finished; the PDF files are in $(BUILDDIR)/pdf"
latexpdf-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex/$*
	# Disable Times package for russian language
	@if [ $* = ru ]; then \
		sed -i '/^\\usepackage{times}/d' $(BUILDDIR)/latex/ru/*.tex; \
	fi
	@echo "Running LaTeX files through pdflatex..."
	if [ $* = ja ]; then \
		make -C $(BUILDDIR)/latex/$* all-pdf-ja; \
	else \
		make -C $(BUILDDIR)/latex/$* all-pdf; \
	fi
	mkdir -p $(BUILDDIR)/pdf/$*; cp $(BUILDDIR)/latex/$*/*pdf $(BUILDDIR)/pdf/$*
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/pdf/$*."

text: $(foreach lang,$(LANGS),text-$(lang))
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/en
	@echo
	@echo "Build finished. The text pages are in $(BUILDDIR)/text/en"
text-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text/$*
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text/$*."

man: $(foreach lang,$(LANGS),man-$(lang))
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/en
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/en"
man-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man/$*
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man/$*."

texinfo: $(foreach lang,$(LANGS),texinfo-$(lang))
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/en
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/en."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."
texinfo-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo/$*."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: $(foreach lang,$(LANGS),info-$(lang))
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/en
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo/en info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo/en."
info-%: locale-%
	$(SPHINXBUILD) -Dlanguage=$* -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo/$*
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo/$* info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo/$*."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(PODIR)/
	@sed -i '/^# [0-9a-f]\{32\}/d' $(PODIR)/ubuntu-packaging-guide.pot
	@echo "# Will be replaced with a list of translators" >> $(PODIR)/ubuntu-packaging-guide.pot
	@echo "msgid \"translator-credits\"" >> $(PODIR)/ubuntu-packaging-guide.pot
	@echo "msgstr \"\"" >> $(PODIR)/ubuntu-packaging-guide.pot
	@echo "Build finished. The message catalogs are in $(PODIR)/."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

locale: $(foreach lang,$(LANGS),locale-$(lang))
locale-%:
	@if [ -f po/$*.po ]; then \
		echo "Compiling .mo files in $(PODIR)/$*/LC_MESSAGES"; \
		mkdir -p $(PODIR)/$*/LC_MESSAGES; \
		msgfmt po/$*.po -o po/$*/LC_MESSAGES/ubuntu-packaging-guide.mo; \
	else echo "$*.po not available, skipping .mo building"; \
	fi

translators.html:

=== debian/changelog ===
ubuntu-packaging-guide (0.3.3) unstable; urgency=low

  [ Daniel Holbach ]
  * remove superfluous "the". (LP: #1211488)

  [ Andrew Starr-Bochicchio ]
  * Use un-minified versions of 960.css and reset.css (Closes: #717008,
    LP: #1201636). 

  [ Dmitry Shachnev ]
  * Use different name for singlehtml doc-base files, to prevent warnings
    from doc-base.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 05 Oct 2013 12:00:48 -0400

ubuntu-packaging-guide (0.3.2) unstable; urgency=low

  * Upload to unstable.

  [ Dmitry Shachnev ]
  * debian/scripts/add-languages:
    - Automate getting full language name for debian/control and doc-base
      files.
    - Ensure that package names are lowercase and don't contain underscores.
    - Miscellaneous code improvements and simplifications.
  * debian/scripts/build-list-of-translators: close the <li> tag correctly.
  * po/pt_BR.po: use correct backticks (LP: #1154087).
  * patches-to-packages.rst:
    - Add "Patch Headers" and "Configuring Quilt" sections.
    - Remove notice about bug 815854 (which has been fixed), and also
      simplify the text about upgrading to a new version.
  * style.css: add styling for Docutils field lists.
  * Add "Further Reading" section.
  * Build-depend on texlive-lang-portuguese and texlive-lang-spanish
    (LP: #1188112).

  [ Daniel Holbach ]
  * add Brazilian Portuguese.
  * add German, build-depends on texlive-lang-german.
  * Update UDS information to the new world of UDSes.
  * Update information about "CD images". They are not explicitly for CDs and
    never were. 

  [ Andrew Starr-Bochicchio ]
  * getting-set-up: Launchpad finds developer gpg keys quicker if they
    are uploaded directly to the Ubuntu keyserver (LP: #1172810).

  [ Dmitrijs Ledkovs ]
  * Always recommend merging from lp:debian/package, instead of a
    particular debian release.

  [ Colin Watson ]
  * auto-pkg-test.rst:
    - We run tests for packages when their dependencies change, not their
      reverse-dependencies (i.e. each upload triggers tests for its
      reverse-dependencies).
    - Update for saucy.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 13 Jul 2013 13:24:42 -0400

=== debian/control ===
Source: ubuntu-packaging-guide
Priority: optional
Section: doc
Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Vcs-Bzr: lp:ubuntu-packaging-guide
Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
Build-Depends: cm-super-minimal,
               debhelper (>= 7.0.50~),
               doc-base,
               python3-polib,
               python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
               texlive-fonts-recommended,
               texlive-lang-cyrillic,
               texlive-lang-german,
               texlive-lang-portuguese,
               texlive-lang-spanish,
               texlive-latex-extra,
               texlive-latex-recommended
#              texlive-lang-cjk,
#              latex-cjk-japanese
Homepage: https://launchpad.net/ubuntu-packaging-guide
Standards-Version: 3.9.4

Package: ubuntu-packaging-guide
Depends: ubuntu-packaging-guide-html, ${misc:Depends}
Architecture: all
Section: metapackages
Description: Ubuntu Packaging Guide - metapackage
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This is a metapackage, depending only on
 ubuntu-packaging-guide-html.

Package: ubuntu-packaging-guide-common
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - common files
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains some common files that are needed by HTML versions of
 the guide.

Package: ubuntu-packaging-guide-html
Depends: ubuntu-packaging-guide-common, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.

Package: ubuntu-packaging-guide-pdf
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.

Package: ubuntu-packaging-guide-epub
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.

Package: ubuntu-packaging-guide-html-es
Depends: ubuntu-packaging-guide-common, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide - Spanish version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.
 .
 This is the Spanish version.

Package: ubuntu-packaging-guide-pdf-es
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide - Spanish version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.
 .
 This is the Spanish version.

Package: ubuntu-packaging-guide-epub-es
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide - Spanish version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.
 .
 This is the Spanish version.

Package: ubuntu-packaging-guide-html-ru
Depends: ubuntu-packaging-guide-common, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide - Russian version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.
 .
 This is the Russian version.

Package: ubuntu-packaging-guide-pdf-ru
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide - Russian version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.
 .
 This is the Russian version.

Package: ubuntu-packaging-guide-epub-ru
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide - Russian version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.
 .
 This is the Russian version.

Package: ubuntu-packaging-guide-html-pt-br
Depends: ubuntu-packaging-guide-common, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide - Brazilian Portuguese version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.
 .
 This is the Brazilian Portuguese version.

Package: ubuntu-packaging-guide-pdf-pt-br
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide - Brazilian Portuguese version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.
 .
 This is the Brazilian Portuguese version.

Package: ubuntu-packaging-guide-epub-pt-br
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide - Brazilian Portuguese version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.
 .
 This is the Brazilian Portuguese version.

Package: ubuntu-packaging-guide-html-de
Depends: ubuntu-packaging-guide-common, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - HTML guide - German version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the HTML version of the guide.
 .
 This is the German version.

Package: ubuntu-packaging-guide-pdf-de
Depends: ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - PDF guide - German version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the PDF version of the guide.
 .
 This is the German version.

Package: ubuntu-packaging-guide-epub-de
Depends: libjs-sphinxdoc, ${misc:Depends}
Architecture: all
Description: Ubuntu Packaging Guide - EPUB guide - German version
 The Ubuntu Packaging Guide is a set of articles that should help you to get
 involved with packaging and development of Ubuntu. It's not meant to replace
 other great documentation like the Debian New Maintainer's Guide or the
 Debian policy, but serve as a starting point with easy and simple to
 understand articles.
 .
 This package contains the EPUB version of the guide.
 .
 This is the German version.

## ubuntu-packaging-guide 0.3.5

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 PODIR         = po
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-LANGS =  es ru pt_BR de
+LANGS =  es ru pt_BR de fr
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale

=== debian/changelog ===
ubuntu-packaging-guide (0.3.5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix argument of gpg --fingerprint (LP: #1281908, thanks John Kim).
  * Add information about sending OpenPGP keys to keyserver (LP: #1281910).
  * Update release codenames to current versions (LP: #1283305).
  * More information about (un)installing .deb packages (LP: #1283323).
  * Update dput command to work for all PPAs (LP: #1283318).

  [ Andrew Starr-Bochicchio ]
  * Add favicon (LP: #1281919).

  [ Daniel Holbach ]
  * Update copyright. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 01 Apr 2014 19:59:27 -0400

ubuntu-packaging-guide (0.3.4) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Revert version bump for hello package because of FTBFS. (LP: #1248353)
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Daniel Holbach ]
  * add French.
  * fixing-ftbfs.rst: fixed two typos. Thanks Sylvie Gallet for reporting. (LP:
    #1256322, LP: #1256346)

  [ Jackson Doak ]
  * add article to fix FTBFS bugs (LP: #718640)
  * Add information about debian screenshots. (LP: #816427)

  [ Dmitry Shachnev ]
  * Switch developer.ubuntu.com links to packaging.ubuntu.com.

  [ Riccardo Padovani ]
  * add enumeration to table of contents and to title of sections. (LP:
    #737455)
  * fixed link behind "Ubuntu development release wiki page", it pointed to
    an obsolete page (LP: #1237521)
  * updated Ubuntu release names (LP: #1257794)

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 09 Jan 2014 14:01:21 -0500

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
                texlive-fonts-recommended,
                texlive-lang-cyrillic,
+               texlive-lang-french,
                texlive-lang-german,
                texlive-lang-portuguese,
                texlive-lang-spanish,
@@ -20,7 +21,7 @@
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -252,3 +253,36 @@
  This package contains the EPUB version of the guide.
  .
  This is the German version.
+
+Package: ubuntu-packaging-guide-html-fr
+Depends: ubuntu-packaging-guide-common, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - HTML guide - French version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the HTML version of the guide.
+ .
+ This is the French version.
+
+Package: ubuntu-packaging-guide-pdf-fr
+Depends: ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - PDF guide - French version
+ The Ubuntu Packaging Guide is a set of articles that should help you to get
+ involved with packaging and development of Ubuntu. It's not meant to replace
+ other great documentation like the Debian New Maintainer's Guide or the
+ Debian policy, but serve as a starting point with easy and simple to
+ understand articles.
+ .
+ This package contains the PDF version of the guide.
+ .
+ This is the French version.
+
+Package: ubuntu-packaging-guide-epub-fr
+Depends: libjs-sphinxdoc, ${misc:Depends}
+Architecture: all
+Description: Ubuntu Packaging Guide - EPUB guide - French version

## ubuntu-packaging-guide 0.3.6

=== debian/changelog ===
ubuntu-packaging-guide (0.3.6) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * Upload to unstable.

  [ Dmitry Shachnev ]
  * Fix a typo and regenerate the .pot file (LP: #1309861).
  * Use anonymous links where possible to make translation easier.
  * Add more information about Lintian.
  * Remove Python Packaging page in favour of a link from index page
    to Debian wiki. Our guide is terribly outdated, while Debian’s one
    is kept up-to-date.

  [ Daniel Holbach ]
  * Changed "phone and table" to "phone and tablet".

  [ Martin Pitt ]
  * auto-pkg-test: Improve rationale for compile/link/run test.
  * auto-pkg-test: Drop lp:auto-package-testing, move to direct adt-run
    invocation as we do in CI now.
  * auto-pkg-test: Saucy → Utopic.
  * auto-pkg-test: Update Debian status, http://ci.debian.net exists now.

  [ Seth Johnson ]
  * Add missing step to tutorial. "bzr dh-make" forgets to "bzr add
    debian/source/format" (LP: #1313053)

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 05 Oct 2014 10:38:34 -0400

## ubuntu-packaging-guide 0.3.7

=== debian/changelog ===
ubuntu-packaging-guide (0.3.7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * packaging-new-software: Add bzr-builddeb to the list of required
    packages (LP: #1385567).
  * Add myself to Uploaders.
  * Fix BSD license in debian/copyright.

  [ Walter Lapchynski ]
  * fixing-a-bug-example: Fix bad grammar in section 5.7 (LP: #1432970).

  [ Daniel Holbach ]
  * add Ukrainian language.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Jun 2015 10:35:34 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: doc
 Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
-Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Dmitry Shachnev <mitya57@debian.org>
 Vcs-Bzr: lp:ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: cm-super-minimal,
@@ -21,7 +21,7 @@
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -285,4 +285,3 @@
 Package: ubuntu-packaging-guide-epub-fr
 Depends: libjs-sphinxdoc, ${misc:Depends}
 Architecture: all
-Description: Ubuntu Packaging Guide - EPUB guide - French version

## ubuntu-packaging-guide 0.3.8

=== debian/changelog ===
ubuntu-packaging-guide (0.3.8) unstable; urgency=medium

  * fixing-ftbfs: Remove outdated section about arm64 (LP: #1485311).
  * auto-pkg-test: Update link to autopkgtest results (LP: #1489782).
  * auto-pkg-test: Stop mentioning XS-Testsuite header, it no longer
    needs to be added manually.
  * Build-depend on texlive-generic-extra to fix FTBFS with Sphinx 1.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Jul 2016 13:02:46 +0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-polib,
                python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
                texlive-fonts-recommended,
+               texlive-generic-extra,
                texlive-lang-cyrillic,
                texlive-lang-french,
                texlive-lang-german,
@@ -284,4 +285,3 @@
 
 Package: ubuntu-packaging-guide-epub-fr
 Depends: libjs-sphinxdoc, ${misc:Depends}
-Architecture: all

## ubuntu-packaging-guide 0.3.9

=== debian/changelog ===
ubuntu-packaging-guide (0.3.9) unstable; urgency=medium

  * Build-depend on latexmk to fix build with Sphinx 1.6.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compatibility level to 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Aug 2017 20:03:36 +0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Vcs-Bzr: lp:ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: cm-super-minimal,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 10),
                doc-base,
+               latexmk,
                python3-polib,
                python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
                texlive-fonts-recommended,
@@ -22,7 +23,7 @@
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -284,4 +285,3 @@
  This is the French version.
 
 Package: ubuntu-packaging-guide-epub-fr
-Depends: libjs-sphinxdoc, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
COMMON := /usr/share/ubuntu-packaging-guide

%:
	dh $@ --builddirectory=_build

override_dh_auto_build:
	make latexpdf
	make html
	make singlehtml
	make epub

override_dh_compress:
	dh_compress -X_sources

override_dh_link:
	# symlink identical resources. Only needed for the html packages.
	for dirname in _static _images; do \
		for directory in `find debian/ -wholename */$$dirname -not -wholename *-common* -type d`; do \
			cd $$directory; \
			for filename in `find -type f -not -name translations.js`; do \
				rm $$filename; \
				ln -s $(COMMON)/$$dirname/$$filename $$filename; \
			done; \
			cd -; \
		done; \
	done
	# use system copies of javascript libraries instead
	for jsname in jquery underscore doctools searchtools; do \
		for filename in `find debian/ -wholename */_static/$$jsname.js`; do \
			rm $$filename; \
			ln -s /usr/share/javascript/sphinxdoc/1.0/$$jsname.js $$filename; \
		done; \
	done
	dh_link

override_dh_install:
	dh_install --list-missing -Xwebsupport.js

override_dh_installdocs:
	dh_installdocs -Xwebsupport.js

get-orig-source:
	bzr export -r tag:$(VERSION) --root=ubuntu-packaging-guide-$(VERSION).orig \
		ubuntu-packaging-guide_$(VERSION).tar.gz lp:ubuntu-packaging-guide

## ubuntu-packaging-guide 1.0.0

=== debian/changelog ===
ubuntu-packaging-guide (1.0.0) unstable; urgency=medium

  [ Simon Quigley ]
  * Remove outdated Bazaar Ubuntu Distributed Development content and update
    the packaging guide to meet modern packaging standards (LP: #1569561)
    (LP: #1686100):
    - Replace Harvest with Launchpad-native links (LP: #1697400).
    - Advertise and mention development release (LP: #1006747).
    - Make cycle-branching.{svg,png} clearer.
    - lintian.ubuntuwire.org is down, remove that part (LP: #1686096).
    - Merge fixing-a-bug and fixing-a-bug-example, it's simpler this way.

  [ Dmitry Shachnev ]
  * Temporary downgrade debhelper compatibility level to 9, to allow
    building on Ubuntu 14.04.
  * Build-depend on python3-stemmer to fix build with the latest Sphinx.
  * Use HTTPS links in debian/copyright.
  * Update Maintainer field to ubuntu-dev-team@alioth-lists.debian.org.
  * Use pkg-info.mk instead of calling dpkg-parsechangelog in debian/rules.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Remove trailing spaces from debian/changelog.
  * Do not symlink non-English versions of searchtools.js.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Aug 2018 22:09:37 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ubuntu-packaging-guide
 Priority: optional
 Section: doc
-Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-dev-team@alioth-lists.debian.net>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Dmitry Shachnev <mitya57@debian.org>
 Vcs-Bzr: lp:ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: cm-super-minimal,
-               debhelper (>= 10),
+               debhelper (>= 9),
                doc-base,
                latexmk,
                python3-polib,
-               python3-sphinx (>= 1.1.3+dfsg-6~) | python-sphinx (>= 1.1.3+dfsg-6~),
+               python3-sphinx (>= 1.1.3+dfsg-6~),
+               python3-stemmer,
                texlive-fonts-recommended,
                texlive-generic-extra,
                texlive-lang-cyrillic,
@@ -23,7 +24,7 @@
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -285,3 +286,4 @@
  This is the French version.
 
 Package: ubuntu-packaging-guide-epub-fr
+Depends: libjs-sphinxdoc, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

COMMON := /usr/share/ubuntu-packaging-guide

%:
	dh $@ --builddirectory=_build

override_dh_auto_build:
	make latexpdf
	make html
	make singlehtml
	make epub

override_dh_compress:
	dh_compress -X_sources

override_dh_link:
	# symlink identical resources. Only needed for the html packages.
	for dirname in _static _images; do \
		for directory in `find debian/ -wholename */$$dirname -not -wholename *-common* -type d`; do \
			cd $$directory; \
			for filename in `find -type f -not -name translations.js -and -not -name searchtools.js`; do \
				rm $$filename; \
				ln -s $(COMMON)/$$dirname/$$filename $$filename; \
			done; \
			cd -; \
		done; \
	done
	# use system copies of javascript libraries instead
	for jsname in jquery underscore doctools; do \
		for filename in `find debian/ -wholename */_static/$$jsname.js`; do \
			rm $$filename; \
			ln -s /usr/share/javascript/sphinxdoc/1.0/$$jsname.js $$filename; \
		done; \
	done
	dh_link

override_dh_install:
	dh_install --list-missing -Xwebsupport.js

override_dh_installdocs:
	dh_installdocs -Xwebsupport.js

get-orig-source:
	bzr export -r tag:$(DEB_VERSION) --root=ubuntu-packaging-guide-$(DEB_VERSION).orig \
		ubuntu-packaging-guide_$(DEB_VERSION).tar.gz lp:ubuntu-packaging-guide

## ubuntu-packaging-guide 1.0.1

=== debian/changelog ===
ubuntu-packaging-guide (1.0.1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Dmitry Shachnev ]
  * Do not symlink _stemmer.js (closes: #910155).
  * Symlink identical static files in html and singlehtml.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Oct 2018 16:26:43 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: doc
 Maintainer: Ubuntu Developers <ubuntu-dev-team@alioth-lists.debian.net>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Dmitry Shachnev <mitya57@debian.org>
-Vcs-Bzr: lp:ubuntu-packaging-guide
+Vcs-Bzr: https://code.launchpad.net/ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk
 Build-Depends: cm-super-minimal,
                debhelper (>= 9),
@@ -286,4 +286,3 @@
  This is the French version.
 
 Package: ubuntu-packaging-guide-epub-fr
-Depends: libjs-sphinxdoc, ${misc:Depends}

## ubuntu-packaging-guide 1.0.1+nmu1

=== debian/changelog ===
ubuntu-packaging-guide (1.0.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:56:28 +0800

## ubuntu-packaging-guide 1.0.2

=== debian/changelog ===
ubuntu-packaging-guide (1.0.2) unstable; urgency=medium

  * Fix a typo in fixing-a-bug.rst, thanks Maik Wagner (LP: #1811573).
  * Replace dead Alioth links, thanks Sergey Romanov (LP: #1825498).
  * Replace broken link to autopkgtest/README.running-tests.html,
    thanks Sergey Romanov (LP: #1825744).
  * Build-depend on texlive-plain-generic instead of texlive-generic-extra
    which was removed from testing (closes: #933590).
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Aug 2019 21:23:14 +0300

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
                python3-sphinx (>= 1.1.3+dfsg-6~),
                python3-stemmer,
                texlive-fonts-recommended,
-               texlive-generic-extra,
                texlive-lang-cyrillic,
                texlive-lang-french,
                texlive-lang-german,
                texlive-lang-portuguese,
                texlive-lang-spanish,
                texlive-latex-extra,
-               texlive-latex-recommended
+               texlive-latex-recommended,
+               texlive-plain-generic | texlive-generic-extra
 #              texlive-lang-cjk,
 #              latex-cjk-japanese
 Homepage: https://launchpad.net/ubuntu-packaging-guide
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 
 Package: ubuntu-packaging-guide
 Depends: ubuntu-packaging-guide-html, ${misc:Depends}
@@ -285,4 +285,3 @@
  .
  This is the French version.
 
-Package: ubuntu-packaging-guide-epub-fr

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,18 @@
 	for dirname in _static _images; do \
 		for directory in `find debian/ -wholename */$$dirname -not -wholename *-common* -type d`; do \
 			cd $$directory; \
-			for filename in `find -type f -not -name translations.js -and -not -name searchtools.js`; do \
+			for filename in `find -type f -not \( -name translations.js -or -name searchtools.js -or -name _stemmer.js \)`; do \
 				rm $$filename; \
 				ln -s $(COMMON)/$$dirname/$$filename $$filename; \
 			done; \
 			cd -; \
+		done; \
+	done
+	for directory in `find debian/ -type d -name singlehtml`; do \
+		for filename in translations.js searchtools.js _stemmer.js; do \
+			if [ -f $$directory/_static/$$filename ]; then \
+				ln -sf ../../_static/$$filename $$directory/_static/$$filename; \
+			fi; \
 		done; \
 	done
 	# use system copies of javascript libraries instead

## ubuntu-packaging-guide 1.0.3

=== debian/changelog ===
ubuntu-packaging-guide (1.0.3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update links on autopkgtest page, thanks Sergey Romanov.
  * Add quotes to fix error from jQuery: unrecognized expression:
    a[href=#top].
  * Change Maintainer address to ubuntu-packaging-guide@packages.debian.org.
  * Replace freenode links with Libera Chat.

  [ Logan Rosen ]
  * Update deprecated QEMU command syntax.

  [ Debian Janitor ]
  * Drop custom source compression.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Aug 2021 11:42:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ubuntu-packaging-guide
 Priority: optional
 Section: doc
-Maintainer: Ubuntu Developers <ubuntu-dev-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-packaging-guide@packages.debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>, Dmitry Shachnev <mitya57@debian.org>
 Vcs-Bzr: https://code.launchpad.net/ubuntu-packaging-guide
 Vcs-Browser: https://code.launchpad.net/~ubuntu-packaging-guide-team/ubuntu-packaging-guide/trunk

## ubuntu-packaging-guide 1.0.4

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # the i18n builder cannot share the environment and doctrees with the others
 PODIR         = po
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-LANGS =  es ru pt_BR de fr
+LANGS =  es ru pt_BR de fr uk
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext locale

=== debian/changelog ===
ubuntu-packaging-guide (1.0.4) unstable; urgency=medium

  * Build-depend on tex-gyre, to fix PDF docs build with Sphinx 4
    (closes: #997442).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Oct 2021 13:51:26 +0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-polib,
                python3-sphinx (>= 1.1.3+dfsg-6~),
                python3-stemmer,
+               tex-gyre,
                texlive-fonts-recommended,
                texlive-lang-cyrillic,
                texlive-lang-french,
